https://api.nexscope.ai/gb/temu/goodsSearchRun this API
Send a JSON request to execute this API and receive the documented response payload.
Endpoint
| Method | POST |
| Path | https://api.nexscope.ai/gb/temu/goodsSearch |
| Auth | Bearer API key |
| Content-Type | application/json |
Request parameters
| Name | Type | Required | Description |
|---|---|---|---|
regionId | integer | optional | Temu region ID, taken from site list `sites[].regionId` |
page | integer | optional | Page number |
size | integer | optional | Quantity per page; `page * size` must not exceed 10000 |
keyword | string | optional | Keywords matching the product title |
matchMode | integer | optional | `1`=strict match, `2`=fuzzy match |
catIds | integer[] | optional | Category ID array; elements taken from `categories[].catId` |
status | integer[] | optional | `1`=normal, `2`=out of stock, `3`=off the shelf |
hostingMode | integer | optional | `1`=fully managed, `2`=semi-managed |
sort | string | optional | Sorting fields; only use the interface to confirm supported fields |
order | string | optional | Sorting direction, case-insensitive |
Code example
{
"catIds": [
984
],
"keyword": "dress",
"order": "desc",
"page": 1,
"regionId": 211,
"size": 20,
"sort": "sold"
}Response example
Platform response envelope. code 0 indicates success or acceptance; data contains the business result.
{
"code": 0,
"cost": "-1",
"data": {},
"msg": null,
"time": "2026-01-01 00:00:00",
"traceId": null,
"ts": "0"
}Response fields
Response field reference (26 fields)
| Name | Type | Required | Description |
|---|---|---|---|
items | array | optional | Products on the current page; the business field may be missing or `null` |
columns | array | optional | Render column definition |
total | integer | optional | Total number of hits reported by upstream; service limits accessible window `page * size <= 10000` |
page | integer | optional | Current page number |
size | integer | optional | Quantity per page |
regionId | integer | optional | The region ID used in this request |
title | string | optional | `Temu data query` |
sourceType | string | optional | `temu` |
type | string | optional | `tableListWorkbenches` |
sites | array | optional | Supported Temu sites |
total | integer | optional | Number of sites |
columns | array | optional | Render column definition |
parentCatId | integer | optional | If not passed, the first-level category will be returned; if a certain `categories[].catId` is passed, its next-level category will be queried. |
categories | array | optional | Specify the category node under the parent level |
total | integer | optional | Return the number of nodes |
parentCatId | integer / omitted | optional | The parent ID of this query; may be omitted in first-level queries |
columns | array | optional | Render column definition |
goodsId | string | optional | Temu item ID, usually from searching `items[].goodsId` |
regionId | integer | optional | Temu region ID, it is recommended to use the same value as the search |
goods | object | optional | Product object, fields are the same as search `items[]` |
history | array | optional | Last 30 days history |
regionId | integer | optional | The region ID used in this request |
title | string | optional | `Temu product details` |
sourceType | string | optional | `temu` |
type | string | optional | `productWorkbenches` |
columns | array | optional | Product details rendering column |
Responses
| Code | Description |
|---|---|
| 200 | HTTP request completed. Check JSON code; only 0 indicates business success or acceptance. |
| 400 | Request JSON or required API parameters are invalid. |
| 401 | API key is missing, invalid, or cannot be matched to a user. |
| 5xx | API execution or upstream service failed. |
Data source, freshness, and limitations
Source, freshness, coverage, rate limits, and estimation notes are not specified in this API definition unless they appear in the request or response field documentation above. Do not assume official marketplace data or real-time freshness when it is not explicitly documented.